# $Revision: 1.18 $, $Date: 2010/11/16 12:57:59 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	XML_FOAF
Summary:	%{_pearname} - provides the ability to manipulate FOAF RDF/XML
Summary(pl.UTF-8):	%{_pearname} - przetwarzanie plików FOAF RDF/XML
Name:		php-pear-%{_pearname}
Version:	0.3.1
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	575d9b2cb3de3d8d9e2db9041a434391
URL:		http://pear.php.net/package/XML_FOAF/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
Requires:	php-pear-RDF
Requires:	php-pear-XML_Beautifier >= 0.2.2
Requires:	php-pear-XML_Tree >= 1.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_FOAF allows advanced users to create advanced FOAF files. The FOAF
Project can be found at <http://www.foaf-project.org/> -
XML_FOAF_Parser and XML_FOAF_Lite will follow before 1.0.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_FOAF pozwala zaawansowanym użytkownikom tworzyć zaawansowane pliki
FOAF. Projekt FOAF znajduje się pod adresem
<http://www.foaf-project.org/>. XML_FOAF_Parser i XML_FOAF_Lite ukażą
się przed 1.0.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
mv docs/%{_pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/*.php
%{php_pear_dir}/XML/FOAF

%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_FOAF.spec,v $
Revision 1.18  2010/11/16 12:57:59  glen
- updated to: 0.3.1

Revision 1.17  2010/08/21 19:09:03  glen
- updated deps with pearize.sh
- release 3

Revision 1.16  2010/01/26 07:28:40  glen
- examples not docs; rel 2

Revision 1.15  2008/08/30 21:07:41  adamg
- updated to 0.3.0

Revision 1.14  2008-01-31 12:17:06  glen
- rel 4

Revision 1.13  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.11  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.10  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.9  2005/10/05 20:59:32  glen
- rel 3

Revision 1.8  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.7  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.6  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.5  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.4  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.3  2004/01/17 19:08:59  adamg
- updated to 0.2

Revision 1.2  2004/01/08 08:59:04  qboosh
- pl

Revision 1.1  2004/01/08 00:37:04  adamg
- initial import
